package ru.dbotthepony.kstarbound.defs

interface IThingWithDescription {
	/**
	 * Краткое описание штуки. Несмотря на то, что название свойства подразумевает "описание",
	 * на самом деле данное поле отвечает за название штуки.
	 *
	 * Примеры:
	 * * Microwave Oven
	 * * Copper Ore
	 * * Poptop
	 */
	val shortdescription: String

	/**
	 * Полное описание штуки. Оно отображается игроку, когда последний наводит курсор на штуку.
	 *
	 * Примеры:
	 * * A microwave. For when you're hungry enough to nuke your food.
	 * * Copper ore. Can be used for smelting.
	 * * The Poptop hums beautifully to confuse its prey.
	 */
	val description: String
}
