package ru.dbotthepony.kstarbound.defs.item

import ru.dbotthepony.kstarbound.defs.IThingWithDescription
import ru.dbotthepony.kstarbound.io.json.FactoryAdapter
import ru.dbotthepony.kvector.vector.ndouble.Vector2d

interface IFossilItemDefinition : IItemDefinition {
	/**
	 * Используется в костях-ископаемых
	 */
	val race: String
	val displayImage: String
	val displayoffset: Vector2d

	/**
	 * Используется в костях-ископаемых
	 */
	val fossilSetName: String

	/**
	 * Используется в костях-ископаемых
	 */
	val setIndex: Int

	/**
	 * Используется в костях-ископаемых
	 */
	val setCount: Int

	/**
	 * Используется в костях-ископаемых
	 */
	val setCollectables: Map<String, String>

	/**
	 * Используется в костях-ископаемых
	 */
	val completeFossilIcon: String?

	/**
	 * Используется в костях-ископаемых
	 */
	val completeFossilObject: String?

	/**
	 * Используется в костях-ископаемых
	 */
	val completeSetDescriptions: IFossilSetDescription?

	interface IFossilSetDescription : IThingWithDescription {
		/**
		 * Цена в пикселях
		 */
		val price: Long
	}

	data class FossilSetDescription(
		override val price: Long = 0L,
		override val shortdescription: String = "...",
		override val description: String = "..."
	) : IFossilSetDescription {
		companion object {
			val ADAPTER = FactoryAdapter.Builder(
					FossilSetDescription::class,
					FossilSetDescription::price,
					FossilSetDescription::shortdescription,
					FossilSetDescription::description).build()
		}
	}
}
